An error was encountered while running DADA2 in R (return code -9)

dada2

(Pablo Rovira) #1

I am using QIIME2 in a virtualbox
After importing the samples I ran the following dada2 command:

qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end.qza --p-trim-left-f 17 --p-trim-left-r 21 --p-trunc-len-f 240 --p-trunc-len-r 180 --o-representative-sequences rep-seqs-dada2.qza --o-table pet-table.qza --o-denoising-stats stats-dada2.qza --verbose

And got the following message…

  1. Filtering
  2. Learning Error Rates
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp_eicv_i2/forward’, ‘/tmp/tmp_eicv_i2/reverse’, ‘/tmp/tmp_eicv_i2/output.tsv.biom’, ‘/tmp/tmp_eicv_i2/track.tsv’, ‘/tmp/tmp_eicv_i2/filt_f’, ‘/tmp/tmp_eicv_i2/filt_r’, ‘240’, ‘180’, ‘17’, ‘21’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

Any help? Thanks in advance!

Regards, Pablo


(Nicholas Bokulich) #2

Welcome @provira,
This is a memory error and is quite commonly reported. See the following threads on this forum for more details and troubleshooting advice: https://forum.qiime2.org/search?q=An%20error%20was%20encountered%20while%20running%20DADA2%20in%20R%20(return%20code%20-9)%20order%3Alatest

Good luck!


(Pablo Rovira) #3

Thanks, Nicholas! It is working now after increasing the RAM memory from 2 to 4 G (very slow but working).